/*
 *   Copyright (c) International Business Machines  Corp., 2001
 *
 *   This program is free software;  you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or 
 *   (at your option) any later version.
 * 
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY;  without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See
 *   the GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program;  if not, write to the Free Software 
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 * Module: mdregmgr
 * File: raid1_discover.h
 */ 

#ifndef _RAID1_MGR_H_
#define _RAID1_MGR_H_ 1


// create options:
#define MD_OPTION_SPARE_DISK_INDEX  	0
#define MD_OPTION_SPARE_DISK_NAME  	"sparedisk"


// Modify options:
#define MD_OPTION_AVAIL_DISKS_INDEX 	        0  
#define MD_OPTION_AVAIL_DISKS_NAME  		"availdisks"
#define MD_OPTION_ADD_SPARE_INDEX  		1
#define MD_OPTION_ADD_SPARE_NAME   		"addspare"
#define MD_OPTION_ADD_ACTIVE_INDEX  		2
#define MD_OPTION_ADD_ACTIVE_NAME   		"addactive"

#define MD_OPTION_SPARE_DISKS_INDEX 		3            
#define MD_OPTION_SPARE_DISKS_NAME  		"sparedisks"
#define MD_OPTION_ACTIVATE_SPARE_INDEX  	4
#define MD_OPTION_ACTIVATE_SPARE_NAME   	"activespare"
#define MD_OPTION_REMOVE_SPARE_INDEX  		5
#define MD_OPTION_REMOVE_SPARE_NAME   		"removespare"

#define MD_OPTION_ACTIVE_DISKS_INDEX  		6
#define MD_OPTION_ACTIVE_DISKS_NAME  		"activedisks"
#define MD_OPTION_DEACTIVATE_ACTIVE_INDEX  	7
#define MD_OPTION_DEACTIVATE_ACTIVE_NAME   	"deactiveactive"
#define MD_OPTION_REMOVE_ACTIVE_INDEX  		8
#define MD_OPTION_REMOVE_ACTIVE_NAME   		"removeactive"

#define MD_OPTION_FAULTY_DISKS_INDEX  		9 
#define MD_OPTION_FAULTY_DISKS_NAME  		"faultydisks"
#define MD_OPTION_REMOVE_FAULTY_INDEX  		10
#define MD_OPTION_REMOVE_FAULTY_NAME  	 	"removefaulty"

#define MD_NO_SELECTION				"None"

#endif

